[package]
name = "service"
version = "0.2.6"
edition = "2021"
authors = ["Ben Sherriff <hello@bensherriff.com>"]
repository = "https://github.com/bensherriff/siren"
readme = "README.md"
license = "GPL-3.0-or-later"

[lib]
name = "siren"
path = "src/lib.rs"

[dependencies]
actix-web = "4.4.0"
actix-rt = "2.9.0"
actix-cors = "0.6.4"
actix-web-httpauth = "0.8.1"
actix-identity = "0.6.0"
actix-session = { version = "0.8.0", features = ["redis-actor-session", "cookie-session"] }
chrono = { version = "0.4.31", features = ["serde"] }
dotenv = "0.15.0"
serde_json = "1.0.107"
log = "0.4.20"
env_logger = "0.10.0"
diesel_migrations = { version = "2.1.0", features = ["postgres"] }
r2d2 = "0.8.10"
lazy_static = "1.4.0"
uuid = { version = "1.4.1", features = ["serde", "v4"] }
argon2 = "0.5.2"
jsonwebtoken = "9.0.0"

[dependencies.tokio]
version = "1.32.0"
features = ["macros", "rt-multi-thread"]

[dependencies.serde]
version = "1.0.188"
features = ["derive"]

[dependencies.reqwest]
version = "0.11.22"
default-features = false
features = ["json", "rustls-tls"]

[dependencies.diesel]
version = "2.1.2"
default-features = false
features = ["postgres", "32-column-tables", "serde_json", "r2d2", "with-deprecated"]

[dependencies.serenity]
version = "0.11.6"
default-features = false
features = ["client", "gateway", "rustls_backend", "model", "voice", "cache", "framework", "standard_framework"]

[dependencies.songbird]
version = "0.3.2"
features = ["builtin-queue", "yt-dlp"]
